bash (5.2.37-2ubuntu5) questing; urgency=medium

  * Dropping delta not considered relevant any more (LP: #2120249)
    - d/etc.bash.bashrc: add sudo hint
  * Temporarily set -std=gnu17 to fix FTBFS with gcc-15
    - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1098911

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Mon, 08 Sep 2025 15:20:42 +0200

bash (5.2.37-2ubuntu4) questing; urgency=medium

  * /etc/bash.bashrc: Explicitly source /etc/profile.d/vte*.sh, and
    sync the color prompt setting from /etc/skel/.bashrc.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Jun 2025 19:54:28 +0200

bash (5.2.37-2ubuntu3) questing; urgency=medium

  * Undo the change from the last upload, but keep the code commented
    out.  This should be at a user's discretion.  And there are already
    explicit hooks for bash-completion and command-not-found.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Jun 2025 10:48:05 +0200

bash (5.2.37-2ubuntu2) questing; urgency=medium

  [ Dimitri John Ledkov ]
  * Source profile.d from /etc/bash.bashrc to allow packages to ship
    integration hooks into interactive shells, same ones they already ship
    for login shells (Closes: #675008) (LP: #2083705)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Jun 2025 21:09:39 -0400

bash (5.2.37-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111514). Remaining changes:
    - d/skel.bashrc:
      + run lesspipe
      + enable ls aliases
      + set options in ll alias to -alF
      + define an alert alias
      + enable colored grep aliases
    - d/etc.bash.bashrc: add sudo hint
    - d/p/deb-bash-config.diff: resurrect "Set the default path to comply with Debian policy"
    - d/tests: add autopkgtest for the built-in path
    - d/p/fix-rcfile-man.diff: correct the bash(1) man-page
      + Add a note that --rcfile does not prevent the execution of the
        system-wide /etc/bash.bashrc file.

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 20 May 2025 21:19:03 -0700

bash (5.2.37-2) unstable; urgency=medium

  * Remove VCS attributes. Closes: #747400, #859264, #1099719.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2025 10:34:37 +0200

bash (5.2.37-1.1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 20:35:44 -0600

bash (5.2.37-1.1) unstable; urgency=medium

  * NMU
  * Fix FTBFS (Closes: #1092374)
    - d/rules: Remove pre-built docs to ensure they are regenerated.
      Without this, the `-b` build would fail but `-B` / `-A` would
      somehow succed.
    - Import packaging changes from 5.3~beta1-1 to make the build
      more robust. This also includes a `Rules-Requires-Root`,
      which is part of fixing this FTBFS.

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Feb 2025 09:57:09 +0000

bash (5.2.37-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.
  * Dropped changes:
    - Add configure-strtold-check.patch (LP: #2083131)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 09 Dec 2024 14:06:27 -0600

bash (5.2.37-1) unstable; urgency=medium

  * New patch release.
    - A typo in the autoconf test for strtold causes false negatives for
      strtold being available and working when compiled with gcc-14.
    - If we parse a compound assignment during an alias expansion, it's
      possible to have the current input string popped out from underneath
      the parse. In this case, we should not restore the input we were using
      when we began to parse the compound assignment.
    - Handle systems that supply one of select or pselect, but not both.
    - When readline is accumulating bytes until it reads a complete multibyte
      character, reading a byte that makes the multibyte character invalid can
      result in discarding the bytes in the partial character.
    - Fix the case where text to be completed from the line buffer (quoted) is
      compared to the common prefix of the possible matches (unquoted) and the
      quoting makes the former appear to be longer than the latter. Readline
      assumes the match doesn't add any characters to the word and doesn't
      display multiple matches.

 -- Matthias Klose <doko@debian.org>  Sat, 05 Oct 2024 08:23:04 +0200

bash (5.2.32-1ubuntu2) plucky; urgency=medium

  * Add configure-strtold-check.patch (LP: #2083131)

 -- Agathe Porte <agathe.porte@canonical.com>  Sat, 26 Oct 2024 13:07:59 +0200

bash (5.2.32-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Aug 2024 10:58:31 +0200

bash (5.2.32-1) unstable; urgency=medium

  * New patch release.
    - Remove duplicate definition of strtoimax. Closes: #1023053.
  * /etc/bash.bashrc Don't dereference undefined variables, breaking
    when run with -u. Closes: #941248, #1034658, #1064645.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Aug 2024 09:47:46 +0200

bash (5.2.21-2.1ubuntu1) oracular; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file (LP: #1097467)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Jun 2024 10:30:03 -0500

bash (5.2.21-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files to /usr for DEP17. Closes: #1064888.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 05 Jun 2024 17:19:12 +0200

bash (5.2.21-2ubuntu5) oracular; urgency=medium

  * Correct the bash(1) man-page to note that --rcfile does not prevent the
    execution of the system-wide /etc/bash.bashrc file (LP: #1097467)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 16 Apr 2024 21:44:44 +0100

bash (5.2.21-2ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:41:03 +0000

bash (5.2.21-2ubuntu3) noble; urgency=medium

  * Rebuild to pick up the t64 ABIs from glibc (LP: #2059078)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 26 Mar 2024 18:18:11 +0100

bash (5.2.21-2ubuntu2) noble; urgency=medium

  * DEP17: Move files to /usr

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 11:31:00 +0100

bash (5.2.21-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 09:46:25 +0100

bash (5.2.21-2) unstable; urgency=medium

  * Fix crash in rl_do_undo, taken from upstream. See #1056314, #1037274.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 09:09:52 +0100

bash (5.2.21-1) unstable; urgency=medium

  * New patch release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 11:43:49 +0100

bash (5.2.15-2ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Jan 2023 08:34:42 +0100

bash (5.2.15-2) unstable; urgency=medium

  * Remove one more pdf file without source. Closes: #1024598.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Jan 2023 13:06:21 +0100

bash (5.2.15-1) unstable; urgency=medium

  * New patch release.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 16:40:30 +0100

bash (5.2-3) unstable; urgency=medium

  * Apply upstream patches 003 - 015.
  * Repack to get rid of non-source PDF (Bastian Germann). Closes: #1024598.
  * d/watch: Update to v4 and add repack options.
  * d/copyright: Convert to machine-readable format, adding missing info.
    Closes: #1024602.
  * Enable all hardening flags (Christian Göttsche). Closes: #1021082.
  * Fix build on musl (Helmut Grohne). Closes: #1023053.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 11:32:01 +0100

bash (5.2-2) unstable; urgency=medium

  * Apply upstream patches 001 - 002.
    - Expanding unset arrays in an arithmetic context can cause a
      segmentation fault.
    - Starting bash with an invalid locale specification for
      LC_ALL/LANG/LC_CTYPE can cause the shell to crash. Closes: #1021062.

 -- Matthias Klose <doko@debian.org>  Mon, 24 Oct 2022 10:34:28 +0200

bash (5.2-1ubuntu2) kinetic; urgency=medium

  * debian/patches: Import two upstream patches to fix crashes:
      - Bash-5.2-patch-1-fix-crash-with-unset-arrays-in-arit.diff
      - Bash-5.2-patch-2-fix-crash-in-readline-when-started-.diff (LP:#1992206)

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 07 Oct 2022 17:03:05 -0400

bash (5.2-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2022 09:52:11 +0200

bash (5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2022 16:50:07 +0200

bash (5.2~rc2-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2022 16:19:11 +0200

bash (5.2~rc2-2) unstable; urgency=medium

  * New upstream snapshot 5.2 rc2.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 25 Aug 2022 16:03:49 +0200

bash (5.2~rc1-1) experimental; urgency=medium

  * New upstream snapshot 5.2 rc1.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 14:35:02 +0200

bash (5.2~beta-1) experimental; urgency=medium

  * New upstream snapshot 5.2 beta1.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Jun 2022 10:48:43 +0200

bash (5.1-6.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Replace add-shell/remove-shell with declarative shells.d trigger.
    Closes: #1004171

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 12 May 2022 17:05:40 +0200

bash (5.1-6ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Jan 2022 17:23:33 +0100

bash (5.1-6) unstable; urgency=medium

  * Apply upstream patches 013 - 016.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jan 2022 17:16:52 +0100

bash (5.1-5ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Nov 2021 16:05:08 +0100

bash (5.1-5) unstable; urgency=medium

  * Apply upstream patches 009 - 012.
  * Bump standards version.
  * Remove preinst since "dash-as-sh"-transition is done. Closes: #958083.

 -- Matthias Klose <doko@debian.org>  Sat, 27 Nov 2021 09:37:10 +0100

bash (5.1-3.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * preinst: Remove obsolete upgrade path from pre-wheezy. Closes: #958083

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 23 Oct 2021 11:36:52 +0200

bash (5.1-3ubuntu1) impish; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 May 2021 09:14:11 +0200

bash (5.1-3) unstable; urgency=medium

  * Apply upstream patches 005 - 008.

 -- Matthias Klose <doko@debian.org>  Mon, 10 May 2021 08:52:10 +0200

bash (5.1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Mar 2021 17:02:58 +0100

bash (5.1-2) unstable; urgency=medium

  * Apply upstream patches 001 - 004.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2021 10:44:50 +0100

bash (5.1-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Dec 2020 08:13:35 +0100

bash (5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Dec 2020 08:03:28 +0100

bash (5.1~rc3-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Nov 2020 19:19:04 +0100

bash (5.1~rc3-1) unstable; urgency=medium

  * New upstream release candidate 3.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Nov 2020 16:24:54 +0100

bash (5.1~rc2-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 11:52:48 +0100

bash (5.1~rc2-1) unstable; urgency=medium

  * New upstream release candidate 2.
    - Fix locale related crash. Closes: #972672.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Nov 2020 18:01:32 +0100

bash (5.1~rc1-2) unstable; urgency=medium

  * Make the build reproducible. Closes: #935127.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Oct 2020 19:10:56 +0200

bash (5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate 1.

 -- Matthias Klose <doko@debian.org>  Fri, 09 Oct 2020 17:47:40 +0200

bash (5.1~beta1-1) experimental; urgency=medium

  * New upstream snapshot 5.1 beta1.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Sep 2020 14:05:46 +0200

bash (5.1~alpha1-1) experimental; urgency=medium

  * New upstream snapshot 5.1 alpha1.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 19:24:57 +0200

bash (5.0-7) unstable; urgency=medium

  * Apply upstream patches 012 - 016.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2020 11:49:30 +0200

bash (5.0-6ubuntu2) groovy; urgency=medium

  * Apply upstream patches 017 (LP: #1878517)

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Thu, 18 Jun 2020 10:44:55 -0500

bash (5.0-6ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Feb 2020 13:03:22 +0100

bash (5.0-6) unstable; urgency=medium

  * Apply upstream patches 012 - 016.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Feb 2020 12:44:22 +0100

bash (5.0-5ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Nov 2019 16:54:47 -0800

bash (5.0-5) unstable; urgency=medium

  * Apply upstream patches 004 - 011.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Nov 2019 11:45:12 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog bash-static`.
